using System;

using System.Runtime.Remoting;
using System.Runtime.Remoting.Channels;
using System.Runtime.Remoting.Channels.Tcp;

using Server;

namespace ServerConsole
{
	/// <summary>
	/// Summary description for ServerLauncher.
	/// </summary>
	class ServerLauncher
	{
		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main(string[] args)
		{
			TcpServerChannel channel = new TcpServerChannel( 1234 );
			ChannelServices.RegisterChannel( channel );

			System.Runtime.Remoting.RemotingConfiguration.RegisterWellKnownServiceType(
				typeof( ServerMgr ),
				"ServerMgrSingleton",
				WellKnownObjectMode.Singleton );

			System.Runtime.Remoting.RemotingConfiguration.RegisterWellKnownServiceType(
				typeof( ServerMgr ),
				"ServerMgrSingleCall",
				WellKnownObjectMode.SingleCall );

			System.Runtime.Remoting.RemotingConfiguration.ApplicationName =
				"ServerMgrCAO";
			System.Runtime.Remoting.RemotingConfiguration.RegisterActivatedServiceType(
				typeof( ServerMgr ) );
			
			Console.WriteLine( "Press any key to stop the service ..." );
			Console.Read();
		}
	}
}
